Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBaseDataRange

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBaseDataRange

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRDataRange, JRCloneable

Direct Known Subclasses:
  JRDesignDataRange

    public class JRBaseDataRange

extends java.lang.Object
implements JRDataRange, java.io.Serializable

An immutable instantiation of a `JRDataRange`, suitable for holding a range.

Version:
  $Id: JRBaseDataRange.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `highExpression` The expression used to calculate the upper bound of the range.
`protected JRExpression` | `lowExpression` The expression used to calculate the lower bound of the range.

Constructor Summary
`JRBaseDataRange(JRDataRange dataRange)` Constructs a copy of an existing range.
`JRBaseDataRange(JRDataRange dataRange, JRBaseObjectFactory factory)` Creates a copy of an existing range and registers all of the expressions with a factory object.

Method Summary
`java.lang.Object` | `clone()`
`void` | `collectExpressions(JRExpressionCollector collector)` Registers all of the expressions with the collector.
`JRExpression` | `getHighExpression()` Returns the expression that generates the upper bound of the range.
`JRExpression` | `getLowExpression()` Returns the expression that generates the lower bound of the range.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lowExpression

    protected JRExpression lowExpression

  The expression used to calculate the lower bound of the range.

### highExpression

    protected JRExpression highExpression

  The expression used to calculate the upper bound of the range.

Constructor Detail

### JRBaseDataRange

    public JRBaseDataRange(JRDataRange dataRange)

  Constructs a copy of an existing range.

  Parameters:
    `dataRange` - the range to copy

### JRBaseDataRange

    public JRBaseDataRange(JRDataRange dataRange,
                           JRBaseObjectFactory factory)

  Creates a copy of an existing range and registers all of the expressions with a factory object. Once the expressions have been registered they will be included when the report is compiled.

  Parameters:
    `dataRange` - the range to copy
    `factory` - the factory to register the expressions with

Method Detail

### getLowExpression

    public JRExpression getLowExpression()

  Description copied from interface: `JRDataRange`
  Returns the expression that generates the lower bound of the range.

  Specified by:
    `getLowExpression` in interface `JRDataRange`
  Returns:
    the expression that generates the lower bound of the range

### getHighExpression

    public JRExpression getHighExpression()

  Description copied from interface: `JRDataRange`
  Returns the expression that generates the upper bound of the range.

  Specified by:
    `getHighExpression` in interface `JRDataRange`
  Returns:
    the expression that generates the upper bound of the range

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Registers all of the expressions with the collector. If the expressions have been registered with one of the report's factory they will be included when the report is compiled.

  Parameters:
    `collector` - the expression collector to use

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com